# preInstantiateSingletons abstract method

Future<void> preInstantiateSingletons()

Pre-instantiates all singleton pods.

This method creates all singleton pods upfront, which can improve first-request performance at the cost of slower application startup.

## Usage Example:

    // During application startup for better runtime performance
    await factory.preInstantiateSingletons();
    print('All singletons have been instantiated');

@return A Future that completes when all singletons are instantiated

## Implementation

    Future<void> preInstantiateSingletons();